local ExchangeInfoMessage = BaseClass("ExchangeInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  if t.usePush ~= nil and t.usePush == true then
    return
  end
  GiftPackageData.InitPackage(t)
end
ExchangeInfoMessage.OnCreate = OnCreate
ExchangeInfoMessage.HandleMessage = HandleMessage
return ExchangeInfoMessage
